Subject: Re: Choosing a mergetool according to file type

From: Gregory Jefferis <[email-masked]>
Date: Fri, 26 Jun 2009 18:43:34 +0100

On 2009-06-26 17:57, "Junio C Hamano" <[email-masked]> wrote:

> You are both correct.  Your example runs "gedit" with three files before
> merge.  If Gregory's custom mergetool expects the failed half-merge result
> as its input, this is not the interface he is looking for.

I think that Matthieu is more correct this time in that I can do what I need
with the merge driver because I don't need the failed half-merge result.
But I prefer the 2 level arrangement of 1) automatic then 2) fixing merge
conflicts manually since there will be other cases where this is required.

Thank you Junio for pointing out how to do add the necessary functionality -
a project for a rainy weekend I guess.

Best,

Greg.